Bug 1538314 - gwenview unusable for Pentax-pictures since I've upgrade to f27
Summary: gwenview unusable for Pentax-pictures since I've upgrade to f27
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: exiv2
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-24 19:18 UTC by Detlef Pueltz
Modified: 2018-11-30 22:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:09:46 UTC
Type: Bug


Attachments (Terms of Use)
Example jpg file causing gwenview crash (4.21 MB, image/jpeg)
2018-07-10 19:05 UTC, Grzegorz
no flags Details


Links
System ID Priority Status Summary Last Updated
Mageia 21158 None None None 2018-01-24 19:18:36 UTC

Description Detlef Pueltz 2018-01-24 19:18:36 UTC
Description of problem:
gwenview crashes each time when opening a directory containing Jpegs of my Pentax K200 (or when trying to open such a PENTAX-jpg directly)


Version-Release number of selected component (if applicable):

gwenview-17.08.1-1.fc27.x86_64
gwenview-libs-17.08.1-1.fc27.x86_64
exiv2-0.26-6.fc27.x86_64
exiv2-libs-0.26-6.fc27.x86_64

How reproducible:
Always


Steps to Reproduce:
1. starting gwenview by Plasma-Menu or via Shell. Opening Dirs without Pentax-jpegs or nonpentax-jpegs directly is working fine
2. navigating to a directory containing Pentax-jpegs or opening a pentax-jpeg directly: gwenview crashes!
3. opening this pentax-jpegs with okular, gimp, digicam etc. works fine!


Actual results:


Expected results:


Additional info:
crash_function: Exiv2::ExifData::findkey(Exiv2::ExifKey const&) const

Same bug regarding pentax-jpegs is reported in other distros, e.g. https://bugs.archlinux.org/task/55003 or  https://bugs.mageia.org/show_bug.cgi?id=21158 , where is said it seems to be a bug in exiv2.

It's said that in Mageia the bug was eliminated by an exiv2-upstream-patch in October 2017.
Build-date of the exiv2-libs-0.26-6.fc27.x86_64 ist still august 2017

Comment 1 Detlef Pueltz 2018-02-01 20:27:36 UTC
Today my system received an update for gwenview, but the problem still persists. So it's more likely that gwenview itself is not responsible, but exiv2

Comment 2 Grzegorz 2018-07-10 19:02:30 UTC
Bug still exists on fc27 with exiv2-libs-0.26-10.fc27.x86_64. 
Dmesg output shows:

gwenview[2954]: segfault at 0 ip 00007f8214612d3f sp 00007ffe35a51950 error 4 in libexiv2.so.26.0.0[7f821452f000+282000]

Comment 3 Grzegorz 2018-07-10 19:05:10 UTC
Created attachment 1457894 [details]
Example jpg file causing gwenview crash

This is an example jpg file from Pentax camera causing gwenview crash.

Comment 4 Ben Cotton 2018-11-27 15:01:04 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 22:09:46 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.